/* REXX script */

rc = rxfuncadd('SysLoadFuncs','rexxutil','SysLoadFuncs')
rc = SysLoadFuncs()

tmpdir=strip(value('TMP',,'OS2ENVIRONMENT'),'T','\')
logdir=strip(value('LOGFILES',,'OS2ENVIRONMENT'),'T','\')
bootdrive=SysBootDrive()

if ''==tmpdir then do
  say 'Specify TMP environment variable to point to temporary directory !'
  '@pause'	
  return 1
end

if ''==logdir then do
  say 'Specify LOGFILES environment variable for location of log files !'
  '@pause'	
  return 1
end

if ''==SysSearchPath('PATH','UNZIP.EXE') then do
   say 'Unzip.exe not found on PATH. Please install unzip.exe and add to PATH !'
   '@pause'	
   return 1
end

tmpdir=tmpdir'\FP1-P1'
sourcedir=tmpdir'\VACFXPAK\VACPP'
responsefile=sourcedir'\VAC40FP1.RSP'
errorlogfile=logdir'\errorVAC40FP1P1.LOG'
historylogfile=logdir'\historyVAC40FP1P1.LOG'

'@unzip.exe -q -o FP1-P1.zip -d'tmpdir

cmd = '@clifi.exe /A:B /F:"<WP_DESKTOP>" /B:'bootdrive' /S:'sourcedir' /R:'responsefile' /O:VACFP1 /SET:VACMediaPath='sourcedir' /L1:'errorlogfile' /L2:'historylogfile
cmd

say 'Install object VACFP1_FI created on desktop.'
say 'Open Object and select "Automatic Feature Selection"'
say 'to update the components that are already installed.'
say 'If asked to insert Source Media,'
say 'correct the driveletter of the directory where the install'
say 'sources are located (subdirectory of TMP dir).'
say 'Once the fixpak installation is finished,'
say 'you may safely delete the installation object on the desktop.'

'@pause'	
return 0
