/* REXX script */

parse arg InstDir SampDir ToolDir

if ""==InstDir | ""==SampDir | ""==ToolDir then do
   say 'Invoke: installVAC4.cmd [BaseInstallPath] [SampleInstallPath] [ToolkitInstallPath]'
   '@pause'	
   return 1
end

InstDir = strip(InstDir,'B','"')
SampDir = strip(SampDir,'B','"')
ToolDir = strip(ToolDir,'B','"')
parse var InstDir VACInstDrv '\' VACInstDir
parse var SampDir VACSampDrv '\' VACSampDir
parse var ToolDir VACToolDrv '\' VACToolDir

rc = rxfuncadd('SysLoadFuncs','rexxutil','SysLoadFuncs')
rc = SysLoadFuncs()

logdir=strip(value('LOGFILES',,'OS2ENVIRONMENT'),'T','\')
bootdrive=SysBootDrive()

if ''==logdir then do
  say 'Specify LOGFILES environment variable for location of log files !'
  '@pause'	
  return 1
end


sourcedir='.\VACPP'
responsefile=sourcedir'\VACPP.RSP'
errorlogfile=logdir'\errorVAC40.LOG'
historylogfile=logdir'\historyVAC40.LOG'

parse source . ':' -1 procrx .
thisDir = FILESPEC('drive',procrx)||FILESPEC('path',procrx)
VACMediaPath=thisDir'VACPP'

cmd = '@clifi.exe /A:B /F:"<WP_DESKTOP>" /B:'bootdrive' /S:'sourcedir' /R:'responsefile' /O:VAC /SET:VACInstDrv='VACInstDrv' /SET:VACInstDir='VACInstDir' /SET:VACSampDrv='VACSampDrv' /SET:VACSampDir='VACSampDir' /SET:VACToolDrv='VACToolDrv' /SET:VACToolDir='VACToolDir' /SET:VACMediaPath='VACMediaPath' /L1:'errorlogfile' /L2:'historylogfile
cmd

say 'Install object VACPP_FI created on desktop.'
say 'If asked to insert Source Media,'
say 'correct the driveletter of the directory where the install'
say 'sources are located.'
say 'Once the installation is finished,'
say 'you may safely delete the installation object on the desktop.'

'@pause'	
return 0
